Skip to main content
v1

post_v1_agent_install

POST /v1/agents/{agent}/install: request parameters and responses.

POST /v1/agents/{agent}/install

Parameters

NameInRequiredTypeDescription
agentpathYesstringAgent id

Parameter schemas

[
  {
    "name": "agent",
    "in": "path",
    "description": "Agent id",
    "required": true,
    "schema": {
      "type": "string"
    }
  }
]

Request body

Required.

application/json

{
  "schema": {
    "$ref": "#/components/schemas/AgentInstallRequest"
  }
}

Related schemas: AgentInstallRequest.

Responses

200

Agent install result

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/AgentInstallResponse"
  }
}

Related schemas: AgentInstallResponse.

400

Invalid request

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.

500

Install failed

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.